## ros-foxy-raptor-pdu 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(raptor_pdu)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

ament_auto_add_executable(${PROJECT_NAME}_node
  src/raptor_pdu_node.cpp
  src/raptor_pdu.cpp
)

target_compile_options(${PROJECT_NAME}_node PRIVATE -Wno-unused-function)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(
  INSTALL_TO_SHARE
    launch
)

=== debian/changelog ===
ros-foxy-raptor-pdu (1.2.0-1focal) focal; urgency=high



 -- New Eagle <neweagleraptorgithub@neweagle.net>  Tue, 30 Nov 2021 05:00:00 -0000

ros-foxy-raptor-pdu (1.1.1-1focal) focal; urgency=high



 -- New Eagle <neweagleraptorgithub@neweagle.net>  Tue, 13 Jul 2021 04:00:00 -0000

ros-foxy-raptor-pdu (1.1.0-1focal) focal; urgency=high

  * Misc. cleanup & comment improvement (no function change)
  * Contributors: neweagleraptor

 -- New Eagle <neweagleraptorgithub@neweagle.net>  Mon, 14 Jun 2021 04:00:00 -0000

ros-foxy-raptor-pdu (1.0.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Joshua Whitley, neweagleraptor

 -- New Eagle <neweagleraptorgithub@neweagle.net>  Mon, 22 Mar 2021 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-raptor-pdu
Section: misc
Priority: optional
Maintainer: New Eagle <neweagleraptorgithub@neweagle.net>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-can-dbc-parser, ros-foxy-can-msgs, ros-foxy-raptor-pdu-msgs, ros-foxy-rclcpp, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-raptor-pdu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-can-dbc-parser, ros-foxy-can-msgs, ros-foxy-raptor-pdu-msgs, ros-foxy-rclcpp, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Interface for the New Eagle Multiplex Power Distribution Module (MPDM) https://store.neweagle.net/product/multiplexed-power-distribution-module-mpdm/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-raptor-pdu//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
